#include <hex/api/content_registry.hpp>
#include <hex/helpers/lang.hpp>

namespace hex::plugin::builtin {

    void registerLanguageItIT() {
        ContentRegistry::Language::registerLanguage("Italian", "it-IT");

        ContentRegistry::Language::addLocalizations("it-IT", {
            /* ImHex default functionality */
                { "hex.menu.feedback", "Lascia una Recensione" },
                { "hex.menu.debug_build", "Build di Debug"},

                { "hex.welcome.header.main", "Benvenuto in ImHex" },
                { "hex.welcome.header.start", "Inizia" },
                    { "hex.welcome.start.create_file", "Crea un nuovo File" },
                    { "hex.welcome.start.open_file", "Apri un File" },
                    { "hex.welcome.start.open_project", "Apri un Progetto" },
                    { "hex.welcome.start.recent", "File recenti" },
                    //{ "hex.welcome.start.open_other", "Other Providers" },
                { "hex.welcome.header.help", "Aiuto" },
                    { "hex.welcome.help.repo", "Repo GitHub" },
                        { "hex.welcome.help.repo.link", "https://imhex.werwolv.net/git" },
                    { "hex.welcome.help.gethelp", "Chiedi aiuto" },
                        { "hex.welcome.help.gethelp.link", "https://github.com/WerWolv/ImHex/discussions/categories/get-help" },
                    { "hex.welcome.help.discord", "Server Discord" },
                        { "hex.welcome.help.discord.link", "https://imhex.werwolv.net/discord" },
                { "hex.welcome.header.plugins", "Plugins caricati" },
                    { "hex.welcome.plugins.plugin", "Plugin" },
                    { "hex.welcome.plugins.author", "Autore" },
                    { "hex.welcome.plugins.desc", "Descrizione" },
                { "hex.welcome.header.customize", "Personalizza" },
                    { "hex.welcome.customize.settings.title", "Impostazioni" },
                    { "hex.welcome.customize.settings.desc", "Cambia le preferenze di ImHex" },
                { "hex.welcome.header.update", "Aggiornamenti" },
                    { "hex.welcome.update.title", "Nuovo aggiornamento disponibile!" },
                    { "hex.welcome.update.desc", "ImHex {0} è appena stato rilasciato! Scaricalo qua" },
                    { "hex.welcome.update.link", "https://github.com/WerWolv/ImHex/releases/latest" },
                { "hex.welcome.header.learn", "Scopri" },
                    { "hex.welcome.learn.latest.title", "Ultima Versione" },
                    { "hex.welcome.learn.latest.desc", "Leggi il nuovo changelog di ImHex'" },
                    { "hex.welcome.learn.latest.link", "https://github.com/WerWolv/ImHex/releases/latest" },
                    { "hex.welcome.learn.pattern.title", "Documentazione dei Pattern" },
                    { "hex.welcome.learn.pattern.desc", "Scopri come scrivere pattern per ImHex con la nostra dettagliata documentazione" },
                    { "hex.welcome.learn.pattern.link", "https://imhex.werwolv.net/docs/pattern_language/pattern_language.html" },
                    { "hex.welcome.learn.plugins.title", "Plugins API" },
                    { "hex.welcome.learn.plugins.desc", "Espandi l'utilizzo di ImHex con i Plugin" },
                    { "hex.welcome.learn.plugins.link", "https://github.com/WerWolv/ImHex/wiki/Plugins-Development-Guide" },
                { "hex.welcome.header.various", "Varie" },
                { "hex.welcome.tip_of_the_day", "Consiglio del giorno" },

                { "hex.safety_backup.title", "Ripristina i dati persi" },
                { "hex.safety_backup.desc", "Oh no, l'ultima volta ImHex è crashato.\nVuoi ripristinare il tuo lavoro?"},
                { "hex.safety_backup.restore", "Sì, Ripristina" },
                { "hex.safety_backup.delete", "No, Elimina" },

                { "hex.common.little_endian", "Little Endian" },
                { "hex.common.big_endian", "Big Endian" },
                { "hex.common.decimal", "Decimale" },
                { "hex.common.hexadecimal", "Esadecimale" },
                { "hex.common.octal", "Ottale" },
                { "hex.common.info", "Informazioni" },
                { "hex.common.error", "Errore" },
                { "hex.common.fatal", "Errore Fatale" },
                { "hex.common.address", "Indirizzo" },
                { "hex.common.size", "Dimensione" },
                { "hex.common.region", "Regione" },
                { "hex.common.match_selection", "Seleziona abbinamento" },
                { "hex.common.yes", "Sì" },
                { "hex.common.no", "No" },
                { "hex.common.okay", "Okay" },
                { "hex.common.load", "Carica" },
                { "hex.common.cancel", "Cancella" },
                { "hex.common.set", "Imposta" },
                { "hex.common.close", "Chiudi" },
                { "hex.common.dont_show_again", "Non mostrare di nuovo" },
                { "hex.common.link", "Link" },
                { "hex.common.file", "File" },
                { "hex.common.open", "Apri" },
                { "hex.common.browse", "Esplora..." },
                { "hex.common.choose_file", "Scegli file" },

                { "hex.message.file_handler_failed", "Impossibile aprire il file con il gestore di file registrato." },

                /* Builtin plugin features */

                { "hex.builtin.menu.file", "File" },
                { "hex.builtin.menu.edit", "Modifica" },
                { "hex.builtin.menu.view", "Vista" },
                { "hex.builtin.menu.layout", "Layout" },
                    { "hex.builtin.menu.view.fps", "Mostra FPS" },
                    { "hex.builtin.menu.view.demo", "Mostra la demo di ImGui" },
                { "hex.builtin.menu.help", "Aiuto" },

                { "hex.builtin.view.bookmarks.name", "Segnalibri" },
                    { "hex.builtin.view.bookmarks.default_title", "Segnalibro [0x{0:X} - 0x{1:X}]" },
                    { "hex.builtin.view.bookmarks.no_bookmarks", "Non è stato creato alcun segnalibro. Aggiungine uno andando su Modifica -> Crea Segnalibro" },
                    { "hex.builtin.view.bookmarks.title.info", "Informazioni" },
                    { "hex.builtin.view.bookmarks.address", "0x{0:X} : 0x{1:X} ({2} bytes)" },
                    { "hex.builtin.view.bookmarks.button.jump", "Vai a" },
                    { "hex.builtin.view.bookmarks.button.remove", "Rimuovi" },
                    { "hex.builtin.view.bookmarks.header.name", "Nome" },
                    { "hex.builtin.view.bookmarks.header.color", "Colore" },
                    { "hex.builtin.view.bookmarks.header.comment", "Commento" },

                { "hex.builtin.view.command_palette.name", "Tavola dei Comandi" },

                { "hex.builtin.view.data_inspector.name", "Ispezione Dati" },
                    { "hex.builtin.view.data_inspector.table.name", "Nome" },
                    { "hex.builtin.view.data_inspector.table.value", "Valore" },
                    { "hex.builtin.view.data_inspector.no_data", "Nessun byte selezionato"},


                { "hex.builtin.view.data_processor.name", "Processa Dati"  },
                    { "hex.builtin.view.data_processor.menu.remove_selection", "Rimuovi i selezionati" },
                    { "hex.builtin.view.data_processor.menu.remove_node", "Rimuovi Nodo" },
                    { "hex.builtin.view.data_processor.menu.remove_link", "Rimuovi Link" },
                    { "hex.builtin.view.data_processor.menu.file.load_processor", "Caricare processore di dati..." },
                    { "hex.builtin.view.data_processor.menu.file.save_processor", "Salva processore di dati..." },

                  { "hex.builtin.view.disassembler.name", "Disassembla" },
                    { "hex.builtin.view.disassembler.position", "Posiziona" },
                    { "hex.builtin.view.disassembler.base", "Indirizzo di base" },
                    { "hex.builtin.view.disassembler.region", "Regione del Codice" },
                    { "hex.builtin.view.disassembler.settings.header", "Impostazioni" },
                    { "hex.builtin.view.disassembler.arch", "Architettura" },
                        { "hex.builtin.view.disassembler.16bit", "16-bit" },
                        { "hex.builtin.view.disassembler.32bit", "32-bit" },
                        { "hex.builtin.view.disassembler.64bit", "64-bit" },

                        { "hex.builtin.view.disassembler.arm.arm", "ARM" },
                        { "hex.builtin.view.disassembler.arm.thumb", "Thumb" },
                        { "hex.builtin.view.disassembler.arm.default", "Default" },
                        { "hex.builtin.view.disassembler.arm.cortex_m", "Cortex-M" },
                        { "hex.builtin.view.disassembler.arm.armv8", "ARMv8" },

                        { "hex.builtin.view.disassembler.mips.mips32", "MIPS32" },
                        { "hex.builtin.view.disassembler.mips.mips64", "MIPS64" },
                        { "hex.builtin.view.disassembler.mips.mips32R6", "MIPS32R6" },
                        { "hex.builtin.view.disassembler.mips.mips2", "MIPS II" },
                        { "hex.builtin.view.disassembler.mips.mips3", "MIPS III" },
                        { "hex.builtin.view.disassembler.mips.micro", "Micro" },

                        { "hex.builtin.view.disassembler.ppc.qpx", "Quad Processing Extensions" },
                        { "hex.builtin.view.disassembler.ppc.spe", "Signal Processing Engine" },
                        { "hex.builtin.view.disassembler.ppc.booke", "Book-E" },

                        { "hex.builtin.view.disassembler.sparc.v9", "Sparc V9" },

                        { "hex.builtin.view.disassembler.riscv.compressed", "Compresso" },

                        { "hex.builtin.view.disassembler.m68k.000", "000" },
                        { "hex.builtin.view.disassembler.m68k.010", "010" },
                        { "hex.builtin.view.disassembler.m68k.020", "020" },
                        { "hex.builtin.view.disassembler.m68k.030", "030" },
                        { "hex.builtin.view.disassembler.m68k.040", "040" },
                        { "hex.builtin.view.disassembler.m68k.060", "060" },

                        { "hex.builtin.view.disassembler.m680x.6301", "6301" },
                        { "hex.builtin.view.disassembler.m680x.6309", "6309" },
                        { "hex.builtin.view.disassembler.m680x.6800", "6800" },
                        { "hex.builtin.view.disassembler.m680x.6801", "6801" },
                        { "hex.builtin.view.disassembler.m680x.6805", "6805" },
                        { "hex.builtin.view.disassembler.m680x.6808", "6808" },
                        { "hex.builtin.view.disassembler.m680x.6809", "6809" },
                        { "hex.builtin.view.disassembler.m680x.6811", "6811" },
                        { "hex.builtin.view.disassembler.m680x.cpu12", "CPU12" },
                        { "hex.builtin.view.disassembler.m680x.hcs08", "HCS08" },

                        { "hex.builtin.view.disassembler.mos65xx.6502", "6502" },
                        { "hex.builtin.view.disassembler.mos65xx.65c02", "65C02" },
                        { "hex.builtin.view.disassembler.mos65xx.w65c02", "W65C02" },
                        { "hex.builtin.view.disassembler.mos65xx.65816", "65816" },
                        { "hex.builtin.view.disassembler.mos65xx.65816_long_m", "65816 Long M" },
                        { "hex.builtin.view.disassembler.mos65xx.65816_long_x", "65816 Long X" },
                        { "hex.builtin.view.disassembler.mos65xx.65816_long_mx", "65816 Long MX" },

                        { "hex.builtin.view.disassembler.bpf.classic", "Classico" },
                        { "hex.builtin.view.disassembler.bpf.extended", "Esteso" },
                    { "hex.builtin.view.disassembler.disassemble", "Disassembla" },
                    { "hex.builtin.view.disassembler.disassembling", "Disassemblaggio..." },
                    { "hex.builtin.view.disassembler.disassembly.title", "Disassembla" },
                        { "hex.builtin.view.disassembler.disassembly.address", "Indirizzo" },
                        { "hex.builtin.view.disassembler.disassembly.offset", "Offset" },
                        { "hex.builtin.view.disassembler.disassembly.bytes", "Byte" },

                { "hex.builtin.view.hashes.name", "Hash" },
                    { "hex.builtin.view.hashes.settings", "Impostazioni" },
                    { "hex.builtin.view.hashes.function", "Funzioni di Hash" },
                    { "hex.builtin.view.hashes.iv", "Valore Iniziale" },
                    { "hex.builtin.view.hashes.poly", "Polinomio" },
                    { "hex.builtin.view.hashes.result", "Risultato" },

                { "hex.builtin.view.help.name", "Aiuto" },
                    { "hex.builtin.view.help.about.name", "Riguardo ImHex" },
                        { "hex.builtin.view.help.about.translator", "Tradotto da CrustySeanPro" },
                        { "hex.builtin.view.help.about.source", "Codice Sorgente disponibile su GitHub:" },
                        { "hex.builtin.view.help.about.donations", "Donazioni" },
                        { "hex.builtin.view.help.about.thanks", "Se ti piace il mio lavoro, per favore considera di fare una donazione. Grazie mille <3" },
                        { "hex.builtin.view.help.about.contributor", "Collaboratori" },
                        { "hex.builtin.view.help.about.libs", "Librerie usate" },
                        { "hex.builtin.view.help.about.paths", "ImHex cartelle" },
                        { "hex.builtin.view.help.about.license", "Licenza" },
                    { "hex.builtin.view.help.documentation", "Documentazione di ImHex" },
                    { "hex.builtin.view.help.pattern_cheat_sheet", "Pattern Language Cheat Sheet"},
                    { "hex.builtin.view.help.calc_cheat_sheet", "Calcolatrice Cheat Sheet" },

                { "hex.builtin.view.hexeditor.name", "Hex editor" },
                    { "hex.builtin.view.hexeditor.create_file", "Nuovo" },
                    { "hex.builtin.view.hexeditor.open_file", "Apri" },
                    { "hex.builtin.view.hexeditor.menu.file.open_recent", "File recenti" },
                    { "hex.builtin.view.hexeditor.menu.file.clear_recent", "Pulisci" },
                    { "hex.builtin.view.hexeditor.menu.file.open_other", "Apri altro..." },
                    { "hex.builtin.view.hexeditor.open_project", "Apri i Progetti" },
                    { "hex.builtin.view.hexeditor.save_project", "Salva i Progetti" },
                    { "hex.builtin.view.hexeditor.save_data", "Salva i Dati" },
                    { "hex.builtin.view.hexeditor.open_base64", "Apri Base64 File" },
                    { "hex.builtin.view.hexeditor.load_enconding_file", "Carica un File di codfica personalizzato" },
                    { "hex.builtin.view.hexeditor.page", "Pagina {0} / {1}" },
                    { "hex.builtin.view.hexeditor.save_as", "Salva come" },
                    { "hex.builtin.view.hexeditor.exit_application.title", "Uscire dall'applicazione?" },
                    { "hex.builtin.view.hexeditor.exit_application.desc", "Hai delle modifiche non salvate nel tuo progetto.\nSei sicuro di voler uscire?" },
                    { "hex.builtin.view.hexeditor.script.title", "Carica un File tramite il Caricatore di Script" },
                    { "hex.builtin.view.hexeditor.script.desc", "Carica un file tramite il Caricatore di Script di Python." },
                    { "hex.builtin.view.hexeditor.script.script", "Script" },
                        { "hex.builtin.view.hexeditor.script.script.title", "Caricatore Script: Apri Script" },
                    { "hex.builtin.view.hexeditor.script.file", "File" },
                    { "hex.builtin.view.hexeditor.script.file.title", "Caricatore Script: Apri File" },
                    { "hex.builtin.view.hexeditor.processing", "Importa / Esporta" },

                    { "hex.builtin.view.hexeditor.menu.file.open_file", "Apri File..." },
                    { "hex.builtin.view.hexeditor.menu.file.save", "Salva" },
                    { "hex.builtin.view.hexeditor.menu.file.save_as", "Salva come..." },
                    { "hex.builtin.view.hexeditor.menu.file.close", "Chiudi" },
                    { "hex.builtin.view.hexeditor.menu.file.quit", "Uscita ImHex" },
                    { "hex.builtin.view.hexeditor.menu.file.open_project", "Apri un Progetto..." },
                    { "hex.builtin.view.hexeditor.menu.file.save_project", "Salva Progetto..." },
                    { "hex.builtin.view.hexeditor.menu.file.load_encoding_file", "Carica una codifica personalizzata..." },
                    { "hex.builtin.view.hexeditor.menu.file.import", "Importa..." },
                        { "hex.builtin.view.hexeditor.menu.file.import.base64", "Base64 File" },
                        { "hex.builtin.view.hexeditor.base64.import_error", "Il file non è in un formato bas64 corretto!" },
                        { "hex.builtin.view.hexeditor.file_open_error", "Impossibile aprire il File!" },
                        { "hex.builtin.view.hexeditor.menu.file.import.ips", "IPS Patch" },
                        { "hex.builtin.view.hexeditor.menu.file.import.ips32", "IPS32 Patch" },
                        { "hex.builtin.view.hexeditor.menu.file.import.script", "File con il Caricatore di Script" },

                    { "hex.builtin.view.hexeditor.menu.file.export", "Esporta..." },
                        { "hex.builtin.view.hexeditor.menu.file.export.title", "Esporta File" },
                        { "hex.builtin.view.hexeditor.menu.file.export.ips", "IPS Patch" },
                        { "hex.builtin.view.hexeditor.menu.file.export.ips32", "IPS32 Patch" },
                    { "hex.builtin.view.hexeditor.menu.file.search", "Cerca" },
                        { "hex.builtin.view.hexeditor.search.string", "Stringa" },
                        { "hex.builtin.view.hexeditor.search.hex", "Hex" },
                        { "hex.builtin.view.hexeditor.search.find", "Cerca" },
                        { "hex.builtin.view.hexeditor.search.find_next", "Cerca il prossimo" },
                        { "hex.builtin.view.hexeditor.search.find_prev", "Cerca il precedente" },
                    { "hex.builtin.view.hexeditor.menu.file.goto", "Vai a" },
                        { "hex.builtin.view.hexeditor.goto.offset.absolute", "Assoluto" },
                        { "hex.builtin.view.hexeditor.goto.offset.current", "Corrente" },
                        { "hex.builtin.view.hexeditor.goto.offset.begin", "Inizo" },
                        { "hex.builtin.view.hexeditor.goto.offset.end", "Fine" },
                    { "hex.builtin.view.hexeditor.error.read_only", "Impossibile scrivere sul File. File aperto solo in modalità lettura" },
                    { "hex.builtin.view.hexeditor.error.open", "Impossibile aprire il File!" },
                    { "hex.builtin.view.hexeditor.error.create", "Impossibile creare il nuovo File!" },
                    { "hex.builtin.view.hexeditor.menu.edit.undo", "Annulla" },
                    { "hex.builtin.view.hexeditor.menu.edit.redo", "Ripeti" },
                    { "hex.builtin.view.hexeditor.menu.edit.copy", "Copia" },
                    { "hex.builtin.view.hexeditor.menu.edit.copy_as", "Copia come..." },
                        { "hex.builtin.view.hexeditor.copy.hex", "Stringa" },
                        { "hex.builtin.view.hexeditor.copy.c", "C Array" },
                        { "hex.builtin.view.hexeditor.copy.cpp", "C++ Array" },
                        { "hex.builtin.view.hexeditor.copy.csharp", "C# Array" },
                        { "hex.builtin.view.hexeditor.copy.rust", "Rust Array" },
                        { "hex.builtin.view.hexeditor.copy.python", "Python Array" },
                        { "hex.builtin.view.hexeditor.copy.java", "Java Array" },
                        { "hex.builtin.view.hexeditor.copy.js", "JavaScript Array" },
                        { "hex.builtin.view.hexeditor.copy.ascii", "ASCII Art" },
                        { "hex.builtin.view.hexeditor.copy.html", "HTML" },
                    { "hex.builtin.view.hexeditor.menu.edit.paste", "Incolla" },
                    { "hex.builtin.view.hexeditor.menu.edit.select_all", "Seleziona tutti" },
                    { "hex.builtin.view.hexeditor.menu.edit.bookmark", "Crea segnalibro" },
                    { "hex.builtin.view.hexeditor.menu.edit.set_base", "Imposta indirizzo di base" },
                    { "hex.builtin.view.hexeditor.menu.edit.resize", "Ridimensiona..." },
                    { "hex.builtin.view.hexeditor.menu.edit.insert", "Inserisci..." },

                { "hex.builtin.view.information.name", "Informazione sui Dati" },
                    { "hex.builtin.view.information.control", "Controllo" },
                    { "hex.builtin.view.information.analyze", "Analizza Pagina" },
                    { "hex.builtin.view.information.analyzing", "Sto analizzando..." },
                    { "hex.builtin.view.information.region", "Regione Analizzata" },
                    { "hex.builtin.view.information.magic", "Informazione Magica" },
                    { "hex.builtin.view.information.description", "Descrizione:" },
                    { "hex.builtin.view.information.mime", "Tipo di MIME:" },
                    { "hex.builtin.view.information.info_analysis", "Informazioni dell'analisi" },
                    { "hex.builtin.view.information.distribution", "Distribuzione dei Byte" },
                    { "hex.builtin.view.information.entropy", "Entropia" },
                    { "hex.builtin.view.information.block_size", "Dimensione del Blocco" },
                    { "hex.builtin.view.information.block_size.desc", "{0} blocchi di {1} bytes" },
                    { "hex.builtin.view.information.file_entropy", "Entropia dei File" },
                    { "hex.builtin.view.information.highest_entropy", "Highest entropy block" },
                    { "hex.builtin.view.information.encrypted", "Questi dati sono probabilmente codificati o compressi!" },
                    { "hex.builtin.view.information.magic_db_added", "Database magico aggiunto!" },


                { "hex.builtin.view.patches.name", "Patches" },
                    { "hex.builtin.view.patches.offset", "Offset" },
                    { "hex.builtin.view.patches.orig", "Valore Originale" },
                    { "hex.builtin.view.patches.patch", "Valore patchato"},
                    { "hex.builtin.view.patches.remove", "Rimuovi patch" },

                { "hex.builtin.view.pattern_editor.name", "Editor dei Pattern" },
                { "hex.builtin.view.pattern_editor.accept_pattern", "Accetta pattern" },
                    { "hex.builtin.view.pattern_editor.accept_pattern.desc", "Uno o più pattern compatibili con questo tipo di dati sono stati trovati!" },
                    { "hex.builtin.view.pattern_editor.accept_pattern.pattern_language", "Pattern" },
                    { "hex.builtin.view.pattern_editor.accept_pattern.question", "Vuoi applicare i patter selezionati" },
                { "hex.builtin.view.pattern_editor.menu.file.load_pattern", "Caricamento dei pattern..." },
                { "hex.builtin.view.pattern_editor.menu.file.save_pattern", "Salva pattern..." },
                { "hex.builtin.view.pattern_editor.open_pattern", "Apri pattern" },
                { "hex.builtin.view.pattern_editor.evaluating", "Valutazione..." },
                { "hex.builtin.view.pattern_editor.auto", "Auto valutazione" },
                { "hex.builtin.view.pattern_editor.console", "Console" },
                { "hex.builtin.view.pattern_editor.env_vars", "Variabili d'ambiente" },
                { "hex.builtin.view.pattern_editor.settings", "Impostazioni" },
                { "hex.builtin.view.pattern_editor.dangerous_function.name", "Vuoi consentire funzioni pericolose?" },
                { "hex.builtin.view.pattern_editor.dangerous_function.desc", "Questo pattern ha cercato di chiamare una funzione pericolosa.\nSei sicuro di volerti fidare?" },
                { "hex.builtin.view.pattern_editor.no_in_out_vars", "Definisci alcune variabili globali con 'in' o 'out' per farle apparire qui." },

                { "hex.builtin.view.pattern_data.name", "Dati dei Pattern" },
                    { "hex.builtin.view.pattern_data.var_name", "Nome" },
                    { "hex.builtin.view.pattern_data.color", "Colore" },
                    { "hex.builtin.view.pattern_data.offset", "Offset" },
                    { "hex.builtin.view.pattern_data.size", "Dimensione" },
                    { "hex.builtin.view.pattern_data.type", "Tipo" },
                    { "hex.builtin.view.pattern_data.value", "Valore" },

                { "hex.builtin.view.settings.name", "Impostazioni" },

                { "hex.builtin.view.strings.name", "Stringhe" },
                    { "hex.builtin.view.strings.copy", "Copia stringa" },
                    { "hex.builtin.view.strings.demangle", "Demangle" },
                    { "hex.builtin.view.strings.min_length", "Lunghezza minima" },
                    { "hex.builtin.view.strings.filter", "Filtro" },
                    { "hex.builtin.view.strings.extract", "Estrai" },
                    { "hex.builtin.view.strings.searching", "Sto cercando..." },
                    { "hex.builtin.view.strings.offset", "Offset" },
                    { "hex.builtin.view.strings.size", "Dimensione" },
                    { "hex.builtin.view.strings.string", "Stringa" },
                    { "hex.builtin.view.strings.demangle.title", "Nome Demangled" },
                    { "hex.builtin.view.strings.demangle.copy", "Copia" },

                { "hex.builtin.view.tools.name", "Strumenti" },

                { "hex.builtin.view.yara.name", "Regole di Yara" },
                    { "hex.builtin.view.yara.header.rules", "Regola" },
                        { "hex.builtin.view.yara.reload", "Ricarica" },
                        { "hex.builtin.view.yara.match", "Abbina Regole" },
                        { "hex.builtin.view.yara.matching", "Abbinamento..." },
                        { "hex.builtin.view.yara.error", "Errore compilazione Yara: " },
                    { "hex.builtin.view.yara.header.matches", "Abbinamenti" },
                        { "hex.builtin.view.yara.matches.identifier", "Identificatore" },
                        { "hex.builtin.view.yara.matches.variable", "Variabile" },
                        { "hex.builtin.view.yara.whole_data", "Tutti i file combaciano!" },
                        { "hex.builtin.view.yara.no_rules", "Nessuna regola di YARA. Aggiungile in nella cartella 'yara' di 'ImHex'" },
                    { "hex.builtin.view.yara.rule_added", "Regola di Yara aggiunta!" },

                { "hex.builtin.view.constants.name", "Costanti" },
                    { "hex.builtin.view.constants.row.category", "Categoria" },
                    { "hex.builtin.view.constants.row.name", "Nome" },
                    { "hex.builtin.view.constants.row.desc", "Descrizione" },
                    { "hex.builtin.view.constants.row.value", "Valore" },
                { "hex.builtin.view.store.name", "Content Store" },
                    { "hex.builtin.view.store.desc", "Scarica nuovi contenuti dal database online di ImHex" },
                    { "hex.builtin.view.store.reload", "Ricarica" },
                    { "hex.builtin.view.store.row.name", "Nome" },
                    { "hex.builtin.view.store.row.description", "Descrizione" },
                    { "hex.builtin.view.store.download", "Download" },
                    { "hex.builtin.view.store.update", "Aggiorna" },
                    { "hex.builtin.view.store.remove", "Rimuovi" },
                    { "hex.builtin.view.store.tab.patterns", "Modelli" },
                    { "hex.builtin.view.store.tab.libraries", "Librerie" },
                    { "hex.builtin.view.store.tab.magics", "File Magici" },
                    { "hex.builtin.view.store.tab.constants", "Costanti" },
                    { "hex.builtin.view.store.tab.encodings", "Encodings" },
                    { "hex.builtin.view.store.tab.yara", "Regole di Yara" },
                    { "hex.builtin.view.store.loading", "Caricamento del content store..." },
                    { "hex.builtin.view.store.download_error", "Impossibile scaricare file! La cartella di destinazione non esiste." },

                { "hex.builtin.view.diff.name", "Diffing" },

                { "hex.builtin.view.provider_settings.name", "Impostazioni Provider" },
                    { "hex.builtin.view.provider_settings.load_popup", "Apri Provider" },

                { "hex.builtin.command.calc.desc", "Calcolatrice" },
                { "hex.builtin.command.cmd.desc", "Comando" },
                { "hex.builtin.command.cmd.result", "Esegui comando '{0}'" },
                { "hex.builtin.command.web.desc", "Consulta il Web" },
                { "hex.builtin.command.web.result", "Naviga a '{0}'" },

                { "hex.builtin.inspector.binary", "Binary (8 bit)" },
                { "hex.builtin.inspector.u8", "uint8_t" },
                { "hex.builtin.inspector.i8", "int8_t" },
                { "hex.builtin.inspector.u16", "uint16_t" },
                { "hex.builtin.inspector.i16", "int16_t" },
                { "hex.builtin.inspector.u32", "uint32_t" },
                { "hex.builtin.inspector.i32", "int32_t" },
                { "hex.builtin.inspector.u64", "uint64_t" },
                { "hex.builtin.inspector.i64", "int64_t" },
                { "hex.builtin.inspector.float16", "half float (16 bit)" },
                { "hex.builtin.inspector.float", "float (32 bit)" },
                { "hex.builtin.inspector.double", "double (64 bit)" },
                { "hex.builtin.inspector.ascii", "ASCII Character" },
                { "hex.builtin.inspector.wide", "Wide Character" },
                { "hex.builtin.inspector.utf8", "UTF-8 code point" },
                { "hex.builtin.inspector.string", "String" },
                { "hex.builtin.inspector.time32", "time32_t" },
                { "hex.builtin.inspector.time64", "time64_t" },
                { "hex.builtin.inspector.time", "time_t" },
                { "hex.builtin.inspector.guid", "GUID" },
                { "hex.builtin.inspector.rgba8", "Colori RGBA8" },

                { "hex.builtin.nodes.constants", "Costanti" },
                    { "hex.builtin.nodes.constants.int", "Intero" },
                        { "hex.builtin.nodes.constants.int.header", "Intero" },
                        { "hex.builtin.nodes.constants.int.output", "" },
                    { "hex.builtin.nodes.constants.float", "Float" },
                        { "hex.builtin.nodes.constants.float.header", "Float" },
                        { "hex.builtin.nodes.constants.float.output", "" },
                    { "hex.builtin.nodes.constants.nullptr", "Nullptr" },
                        { "hex.builtin.nodes.constants.nullptr.header", "Nullptr" },
                        { "hex.builtin.nodes.constants.nullptr.output", "" },
                    { "hex.builtin.nodes.constants.buffer", "Buffer" },
                        { "hex.builtin.nodes.constants.buffer.header", "Buffer" },
                        { "hex.builtin.nodes.constants.buffer.size", "Dimensione" },
                        { "hex.builtin.nodes.constants.buffer.output", "" },
                    { "hex.builtin.nodes.constants.string", "Stringa" },
                        { "hex.builtin.nodes.constants.string.header", "Stringa" },
                        { "hex.builtin.nodes.constants.string.output", "" },
                    { "hex.builtin.nodes.constants.rgba8", "Colore RGBA8" },
                        { "hex.builtin.nodes.constants.rgba8.header", "Colore RGBA8" },
                        { "hex.builtin.nodes.constants.rgba8.output.r", "Rosso" },
                        { "hex.builtin.nodes.constants.rgba8.output.g", "Verde" },
                        { "hex.builtin.nodes.constants.rgba8.output.b", "Blu" },
                        { "hex.builtin.nodes.constants.rgba8.output.a", "Alpha" },
                    { "hex.builtin.nodes.constants.comment", "Comment" },
                        { "hex.builtin.nodes.constants.comment.header", "Commento" },

                { "hex.builtin.nodes.display", "Mostra" },
                    { "hex.builtin.nodes.display.int", "Intero" },
                        { "hex.builtin.nodes.display.int.header", "Mostra Intero" },
                        { "hex.builtin.nodes.display.int.input", "Valore" },
                    { "hex.builtin.nodes.display.float", "Float" },
                        { "hex.builtin.nodes.display.float.header", "Mostra Float" },
                        { "hex.builtin.nodes.display.float.input", "Valore" },

                { "hex.builtin.nodes.data_access", "Accesso ai Dati" },
                    { "hex.builtin.nodes.data_access.read", "Leggi" },
                        { "hex.builtin.nodes.data_access.read.header", "Leggi" },
                        { "hex.builtin.nodes.data_access.read.address", "Indirizzo" },
                        { "hex.builtin.nodes.data_access.read.size", "Dimensione" },
                        { "hex.builtin.nodes.data_access.read.data", "Dati" },
                    { "hex.builtin.nodes.data_access.write", "Scrivi" },
                        { "hex.builtin.nodes.data_access.write.header", "Scrivi" },
                        { "hex.builtin.nodes.data_access.write.address", "Indirizzo" },
                        { "hex.builtin.nodes.data_access.write.data", "Dati" },
                    { "hex.builtin.nodes.data_access.size", "Dati Dimensione"},
                        { "hex.builtin.nodes.data_access.size.header", "Dati Dimensione"},
                        { "hex.builtin.nodes.data_access.size.size", "Dimensione"},

                { "hex.builtin.nodes.casting", "Conversione Dati" },
                    { "hex.builtin.nodes.casting.int_to_buffer", "Da Intero a Buffer" },
                        { "hex.builtin.nodes.casting.int_to_buffer.header", "Da Intero a Buffer" },
                        { "hex.builtin.nodes.casting.int_to_buffer.input", "Entrata" },
                        { "hex.builtin.nodes.casting.int_to_buffer.output", "Uscita" },
                { "hex.builtin.nodes.casting.buffer_to_int", "Da Buffer a Intero" },
                        { "hex.builtin.nodes.casting.buffer_to_int.header", "Da Buffer a Integer" },
                        { "hex.builtin.nodes.casting.buffer_to_int.input", "Entrata" },
                        { "hex.builtin.nodes.casting.buffer_to_int.output", "Uscita" },

                { "hex.builtin.nodes.arithmetic", "Aritmetica" },
                    { "hex.builtin.nodes.arithmetic.add", "Addizione" },
                        { "hex.builtin.nodes.arithmetic.add.header", "Aggiungi" },
                        { "hex.builtin.nodes.arithmetic.add.input.a", "Input A" },
                        { "hex.builtin.nodes.arithmetic.add.input.b", "Input B" },
                        { "hex.builtin.nodes.arithmetic.add.output", "Output" },
                    { "hex.builtin.nodes.arithmetic.sub", "Sottrazione" },
                        { "hex.builtin.nodes.arithmetic.sub.header", "Sottrai" },
                        { "hex.builtin.nodes.arithmetic.sub.input.a", "Input A" },
                        { "hex.builtin.nodes.arithmetic.sub.input.b", "Input B" },
                        { "hex.builtin.nodes.arithmetic.sub.output", "Output" },
                        { "hex.builtin.nodes.arithmetic.mul", "Moltiplicazione" },
                        { "hex.builtin.nodes.arithmetic.mul.header", "Moltiplica" },
                        { "hex.builtin.nodes.arithmetic.mul.input.a", "Input A" },
                        { "hex.builtin.nodes.arithmetic.mul.input.b", "Input B" },
                        { "hex.builtin.nodes.arithmetic.mul.output", "Output" },
                    { "hex.builtin.nodes.arithmetic.div", "Divisione" },
                        { "hex.builtin.nodes.arithmetic.div.header", "Dividi" },
                        { "hex.builtin.nodes.arithmetic.div.input.a", "Input A" },
                        { "hex.builtin.nodes.arithmetic.div.input.b", "Input B" },
                        { "hex.builtin.nodes.arithmetic.div.output", "Output" },
                    { "hex.builtin.nodes.arithmetic.mod", "Modulo" },
                        { "hex.builtin.nodes.arithmetic.mod.header", "Modulo" },
                        { "hex.builtin.nodes.arithmetic.mod.input.a", "Input A" },
                        { "hex.builtin.nodes.arithmetic.mod.input.b", "Input B" },
                        { "hex.builtin.nodes.arithmetic.mod.output", "Output" },

                { "hex.builtin.nodes.buffer", "Buffer" },
                    { "hex.builtin.nodes.buffer.combine", "Combina" },
                        { "hex.builtin.nodes.buffer.combine.header", "Combina buffer" },
                        { "hex.builtin.nodes.buffer.combine.input.a", "Input A" },
                        { "hex.builtin.nodes.buffer.combine.input.b", "Input B" },
                        { "hex.builtin.nodes.buffer.combine.output", "Output" },
                    { "hex.builtin.nodes.buffer.slice", "Affetta" },
                        { "hex.builtin.nodes.buffer.slice.header", "Affetta buffer" },
                        { "hex.builtin.nodes.buffer.slice.input.buffer", "Input" },
                        { "hex.builtin.nodes.buffer.slice.input.from", "Inizio" },
                        { "hex.builtin.nodes.buffer.slice.input.to", "Fine" },
                        { "hex.builtin.nodes.buffer.slice.output", "Output" },
                    { "hex.builtin.nodes.buffer.repeat", "Ripeti" },
                        { "hex.builtin.nodes.buffer.repeat.header", "Ripeti buffer" },
                            { "hex.builtin.nodes.buffer.repeat.input.buffer", "Input" },
                            { "hex.builtin.nodes.buffer.repeat.input.count", "Conta" },
                            { "hex.builtin.nodes.buffer.repeat.output", "Output" },

                { "hex.builtin.nodes.control_flow", "Controlla Flusso" },
                    { "hex.builtin.nodes.control_flow.if", "Se" },
                        { "hex.builtin.nodes.control_flow.if.header", "Se" },
                        { "hex.builtin.nodes.control_flow.if.condition", "Condizione" },
                        { "hex.builtin.nodes.control_flow.if.true", "Vero" },
                        { "hex.builtin.nodes.control_flow.if.false", "Falso" },
                        { "hex.builtin.nodes.control_flow.if.output", "Output" },
                    { "hex.builtin.nodes.control_flow.equals", "Uguale a" },
                        { "hex.builtin.nodes.control_flow.equals.header", "Uguale a" },
                        { "hex.builtin.nodes.control_flow.equals.input.a", "Input A" },
                        { "hex.builtin.nodes.control_flow.equals.input.b", "Input B" },
                        { "hex.builtin.nodes.control_flow.equals.output", "Output" },
                    { "hex.builtin.nodes.control_flow.not", "Non" },
                        { "hex.builtin.nodes.control_flow.not.header", "Non" },
                        { "hex.builtin.nodes.control_flow.not.input", "Input" },
                        { "hex.builtin.nodes.control_flow.not.output", "Output" },
                    { "hex.builtin.nodes.control_flow.gt", "Maggiore di" },
                        { "hex.builtin.nodes.control_flow.gt.header", "Maggiore di" },
                        { "hex.builtin.nodes.control_flow.gt.input.a", "Input A" },
                        { "hex.builtin.nodes.control_flow.gt.input.b", "Input B" },
                        { "hex.builtin.nodes.control_flow.gt.output", "Output" },
                    { "hex.builtin.nodes.control_flow.lt", "Minore di" },
                        { "hex.builtin.nodes.control_flow.lt.header", "Minore di" },
                        { "hex.builtin.nodes.control_flow.lt.input.a", "Input A" },
                        { "hex.builtin.nodes.control_flow.lt.input.b", "Input B" },
                        { "hex.builtin.nodes.control_flow.lt.output", "Output" },
                    { "hex.builtin.nodes.control_flow.and", "E" },
                        { "hex.builtin.nodes.control_flow.and.header", "Boolean E" },
                        { "hex.builtin.nodes.control_flow.and.input.a", "Input A" },
                        { "hex.builtin.nodes.control_flow.and.input.b", "Input B" },
                        { "hex.builtin.nodes.control_flow.and.output", "Output" },
                    { "hex.builtin.nodes.control_flow.or", "O" },
                        { "hex.builtin.nodes.control_flow.or.header", "Boolean O" },
                        { "hex.builtin.nodes.control_flow.or.input.a", "Input A" },
                        { "hex.builtin.nodes.control_flow.or.input.b", "Input B" },
                        { "hex.builtin.nodes.control_flow.or.output", "Output" },

                { "hex.builtin.nodes.bitwise", "Operazioni di Bitwise" },
                    { "hex.builtin.nodes.bitwise.and", "E" },
                        { "hex.builtin.nodes.bitwise.and.header", "Bitwise E" },
                        { "hex.builtin.nodes.bitwise.and.input.a", "Input A" },
                        { "hex.builtin.nodes.bitwise.and.input.b", "Input B" },
                        { "hex.builtin.nodes.bitwise.and.output", "Output" },
                    { "hex.builtin.nodes.bitwise.or", "O" },
                        { "hex.builtin.nodes.bitwise.or.header", "Bitwise O" },
                        { "hex.builtin.nodes.bitwise.or.input.a", "Input A" },
                        { "hex.builtin.nodes.bitwise.or.input.b", "Input B" },
                        { "hex.builtin.nodes.bitwise.or.output", "Output" },
                    { "hex.builtin.nodes.bitwise.xor", "XOR" },
                        { "hex.builtin.nodes.bitwise.xor.header", "Bitwise XOR" },
                        { "hex.builtin.nodes.bitwise.xor.input.a", "Input A" },
                        { "hex.builtin.nodes.bitwise.xor.input.b", "Input B" },
                        { "hex.builtin.nodes.bitwise.xor.output", "Output" },
                    { "hex.builtin.nodes.bitwise.not", "NON" },
                        { "hex.builtin.nodes.bitwise.not.header", "Bitwise NON" },
                        { "hex.builtin.nodes.bitwise.not.input", "Input" },
                        { "hex.builtin.nodes.bitwise.not.output", "Output" },

                { "hex.builtin.nodes.decoding", "Decodifica" },
                    { "hex.builtin.nodes.decoding.base64", "Base64" },
                        { "hex.builtin.nodes.decoding.base64.header", "Decodificatore Base64" },
                        { "hex.builtin.nodes.decoding.base64.input", "In" },
                        { "hex.builtin.nodes.decoding.base64.output", "Out" },
                    { "hex.builtin.nodes.decoding.hex", "Esadecimale" },
                        { "hex.builtin.nodes.decoding.hex.header", "Decodificatore Esadecimale" },
                        { "hex.builtin.nodes.decoding.hex.input", "In" },
                        { "hex.builtin.nodes.decoding.hex.output", "Out" },

                { "hex.builtin.nodes.crypto", "Cryptografia" },
                    { "hex.builtin.nodes.crypto.aes", "Decriptatore AES" },
                        { "hex.builtin.nodes.crypto.aes.header", "Decriptatore AES" },
                        { "hex.builtin.nodes.crypto.aes.key", "Chiave" },
                        { "hex.builtin.nodes.crypto.aes.iv", "IV" },
                        { "hex.builtin.nodes.crypto.aes.nonce", "Nonce" },
                        { "hex.builtin.nodes.crypto.aes.input", "Input" },
                        { "hex.builtin.nodes.crypto.aes.output", "Output" },
                        { "hex.builtin.nodes.crypto.aes.mode", "Modalità" },
                        { "hex.builtin.nodes.crypto.aes.key_length", "Lunghezza Chiave" },



                { "hex.builtin.tools.demangler", "Itanium/MSVC demangler" },
                    { "hex.builtin.tools.demangler.mangled", "Nome Mangled" },
                    { "hex.builtin.tools.demangler.demangled", "Nome Demangled" },
                { "hex.builtin.tools.ascii_table", "Tavola ASCII" },
                    { "hex.builtin.tools.ascii_table.octal", "Mostra ottale" },
                { "hex.builtin.tools.regex_replacer", "Sostituzione Regex" },
                    { "hex.builtin.tools.regex_replacer.pattern", "Regex pattern" },
                    { "hex.builtin.tools.regex_replacer.replace", "Replace pattern" },
                    { "hex.builtin.tools.regex_replacer.input", "Input" },
                    { "hex.builtin.tools.regex_replacer.output", "Output" },
                { "hex.builtin.tools.color", "Selettore di Colore" },
                { "hex.builtin.tools.calc", "Calcolatrice" },
                    { "hex.builtin.tools.input", "Input" },
                    { "hex.builtin.tools.format.standard", "Standard" },
                    { "hex.builtin.tools.format.scientific", "Scientifica" },
                    { "hex.builtin.tools.format.engineering", "Ingegnere" },
                    { "hex.builtin.tools.format.programmer", "Programmatore" },
                    { "hex.builtin.tools.error", "Ultimo Errore: '{0}'" },
                    { "hex.builtin.tools.history", "Storia" },
                    { "hex.builtin.tools.name", "Nome" },
                    { "hex.builtin.tools.value", "Valore" },
                { "hex.builtin.tools.base_converter", "Convertitore di Base" },
                    { "hex.builtin.tools.base_converter.dec", "DEC" },
                    { "hex.builtin.tools.base_converter.hex", "HEX" },
                    { "hex.builtin.tools.base_converter.oct", "OCT" },
                    { "hex.builtin.tools.base_converter.bin", "BIN" },
                { "hex.builtin.tools.permissions", "Calcolatrice dei permessi UNIX" },
                    { "hex.builtin.tools.permissions.perm_bits", "Bit di autorizzazione" },
                    { "hex.builtin.tools.permissions.absolute", "Notazione assoluta" },
                    { "hex.builtin.tools.permissions.setuid_error", "L'utente deve avere i diritti di esecuzione per applicare il bit setuid!" },
                    { "hex.builtin.tools.permissions.setgid_error", "Il gruppo deve avere diritti di esecuzione per applicare il bit setgid!" },
                    { "hex.builtin.tools.permissions.sticky_error", "Altri devono avere i diritti di esecuzione per il bit appiccicoso da applicare!" },
                { "hex.builtin.tools.file_uploader", "Uploader dei file" },
                    { "hex.builtin.tools.file_uploader.control", "Controllo" },
                    { "hex.builtin.tools.file_uploader.upload", "Carica" },
                    { "hex.builtin.tools.file_uploader.done", "Fatto!" },
                    { "hex.builtin.tools.file_uploader.recent", "Caricamenti Recenti" },
                    { "hex.builtin.tools.file_uploader.tooltip", "Clicca per copiare\nCTRL + Click per aprire" },
                    { "hex.builtin.tools.file_uploader.invalid_response", "Risposta non valida da parte di Anonfiles!" },
                    { "hex.builtin.tools.file_uploader.error", "Impossibile caricare file!\n\nCodice di errore: {0}" },
                { "hex.builtin.tools.wiki_explain", "Definizioni dei termini da Wikipedia" },
                    { "hex.builtin.tools.wiki_explain.control", "Controllo" },
                    { "hex.builtin.tools.wiki_explain.search", "Cerca" },
                    { "hex.builtin.tools.wiki_explain.results", "Risultati" },
                    { "hex.builtin.tools.wiki_explain.invalid_response", "Risposta non valida da Wikipedia!" },
                { "hex.builtin.tools.file_tools", "Strumenti per i file" },
                    { "hex.builtin.tools.file_tools.shredder", "Tritatutto" },
                        { "hex.builtin.tools.file_tools.shredder.warning", "Questo strumento distrugge IRRECOVERABILMENTE un file. Usalo con attenzione" },
                        { "hex.builtin.tools.file_tools.shredder.input", "File da distruggere" },
                        { "hex.builtin.tools.file_tools.shredder.picker", "Apri file da distruggere" },
                        { "hex.builtin.tools.file_tools.shredder.fast", "Modalità veloce" },
                        { "hex.builtin.tools.file_tools.shredder.shredding", "Lo sto distruggendo..." },
                        { "hex.builtin.tools.file_tools.shredder.shred", "Distruggi" },
                        { "hex.builtin.tools.file_tools.shredder.error.open", "Impossibile aprire il file selezionato!" },
                        { "hex.builtin.tools.file_tools.shredder.success", "Distrutto con successo!" },
                    { "hex.builtin.tools.file_tools.splitter", "Divisore" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.5_75_floppy", "5¼\" disco Floppy (1200KiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.3_5_floppy", "3½\" disco Floppy (1400KiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.zip100", "Disco Zip 100 (100MiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.zip200", "Disco Zip 200 (200MiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.cdrom650", "CD-ROM (650MiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.cdrom700", "CD-ROM (700MiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.fat32", "FAT32 (4GiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.custom", "Personalizzato" },
                        { "hex.builtin.tools.file_tools.splitter.input", "File da dividere " },
                        { "hex.builtin.tools.file_tools.splitter.picker.input", "Apri file da dividere" },
                        { "hex.builtin.tools.file_tools.splitter.output", "Cartella di output " },
                        { "hex.builtin.tools.file_tools.splitter.picker.output", "Imposta il percorso base" },
                        { "hex.builtin.tools.file_tools.splitter.picker.splitting", "Sto dividendo..." },
                        { "hex.builtin.tools.file_tools.splitter.picker.split", "Dividi" },
                        { "hex.builtin.tools.file_tools.splitter.picker.error.open", "Impossibile aprire il file selezionato!" },
                        { "hex.builtin.tools.file_tools.splitter.picker.error.size", "Il file è più piccolo della dimensione del file" },
                        { "hex.builtin.tools.file_tools.splitter.picker.error.create", "Impossibile creare file {0}" },
                        { "hex.builtin.tools.file_tools.splitter.picker.success", "File diviso con successo!" },
                    { "hex.builtin.tools.file_tools.combiner", "Combina" },
                        { "hex.builtin.tools.file_tools.combiner.add", "Aggiungi..." },
                        { "hex.builtin.tools.file_tools.combiner.add.picker", "Aggiungi file" },
                        { "hex.builtin.tools.file_tools.combiner.delete", "Elimina" },
                        { "hex.builtin.tools.file_tools.combiner.clear", "Pulisci" },
                        { "hex.builtin.tools.file_tools.combiner.output", "Fil di output " },
                        { "hex.builtin.tools.file_tools.combiner.output.picker", "Imposta il percorso base" },
                        { "hex.builtin.tools.file_tools.combiner.combining", "Sto combinando..." },
                        { "hex.builtin.tools.file_tools.combiner.combine", "Combina" },
                        { "hex.builtin.tools.file_tools.combiner.error.open_output", "Impossibile creare file di output" },
                        { "hex.builtin.tools.file_tools.combiner.open_input", "Impossibile aprire file di input {0}" },
                        { "hex.builtin.tools.file_tools.combiner.success", "File combinato con successo!" },

                { "hex.builtin.setting.imhex", "ImHex" },
                    { "hex.builtin.setting.imhex.recent_files", "File recenti" },
                { "hex.builtin.setting.general", "Generali" },
                    { "hex.builtin.setting.general.show_tips", "Mostra consigli all'avvio" },
                    { "hex.builtin.setting.general.auto_load_patterns", "Auto-caricamento del pattern supportato" },
                { "hex.builtin.setting.interface", "Interfaccia" },
                    { "hex.builtin.setting.interface.color", "Colore del Tema" },
                        { "hex.builtin.setting.interface.color.system", "Sistema" },
                        { "hex.builtin.setting.interface.color.dark", "Scuro" },
                        { "hex.builtin.setting.interface.color.light", "Chiaro" },
                        { "hex.builtin.setting.interface.color.classic", "Classico" },
                    { "hex.builtin.setting.interface.language", "Lingua" },
                    { "hex.builtin.setting.interface.scaling", "Scale" },
                        { "hex.builtin.setting.interface.scaling.native", "Nativo" },
                        { "hex.builtin.setting.interface.scaling.x0_5", "x0.5" },
                        { "hex.builtin.setting.interface.scaling.x1_0", "x1.0" },
                        { "hex.builtin.setting.interface.scaling.x1_5", "x1.5" },
                        { "hex.builtin.setting.interface.scaling.x2_0", "x2.0" },
                    { "hex.builtin.setting.interface.fps", "Limite FPS" },
                    { "hex.builtin.setting.interface.fps.unlocked", "Unblocca" },
                    { "hex.builtin.setting.interface.highlight_alpha", "Evidenziazione dell'opacità" },
                { "hex.builtin.setting.hex_editor", "Hex Editor" },
                    { "hex.builtin.setting.hex_editor.column_count", "Conteggio della colonna dei byte" },
                    { "hex.builtin.setting.hex_editor.hexii", "Mostra HexII invece dei byte" },
                    { "hex.builtin.setting.hex_editor.ascii", "Mostra la colonna ASCII" },
                    { "hex.builtin.setting.hex_editor.advanced_decoding", "Mostra la colonna di decodifica avanzata" },
                    { "hex.builtin.setting.hex_editor.grey_zeros", "Taglia fuori gli zeri" },
                    { "hex.builtin.setting.hex_editor.uppercase_hex", "Caratteri esadecimali maiuscoli" },
                    { "hex.builtin.setting.hex_editor.extra_info", "Mostra informazioni extra" },

                { "hex.builtin.provider.file.path", "Percorso del File" },
                { "hex.builtin.provider.file.size", "Dimensione" },
                { "hex.builtin.provider.file.creation", "Data di creazione" },
                { "hex.builtin.provider.file.access", "Data dell'ultimo accesso" },
                { "hex.builtin.provider.file.modification", "Data dell'ultima modifica" },

                { "hex.builtin.provider.file", "Provider di file" },
                { "hex.builtin.provider.gdb", "Server GDB Provider" },
                    { "hex.builtin.provider.gdb.name", "Server GDB <{0}:{1}>" },
                    { "hex.builtin.provider.gdb.server", "Server" },
                    { "hex.builtin.provider.gdb.ip", "Indirizzo IP" },
                    { "hex.builtin.provider.gdb.port", "Porta" },
                { "hex.builtin.provider.disk", "Provider di dischi raw" },
                    { "hex.builtin.provider.disk.selected_disk", "Disco" },
                    { "hex.builtin.provider.disk.disk_size", "Dimensione disco" },
                    { "hex.builtin.provider.disk.sector_size", "Dimensione settore" },
                    { "hex.builtin.provider.disk.reload", "Ricarica" },

                { "hex.builtin.layouts.default", "Default" }
        });
    }

}